export default {
    namespaced: true,
    state: {
        patiensInfo: sessionStorage.getItem('patiensInfo') ? JSON.parse(sessionStorage.getItem('patiensInfo')) : null, // 病人信息
        // userInfo: sessionStorage.getItem('userinfo') ? JSON.parse(sessionStorage.getItem('userinfo')) : {}, // 当前登录用户信息
        userInfo: sessionStorage.getItem('userinfo') ? JSON.parse(sessionStorage.getItem('userinfo')) : {}, // 当前登录用户信息
        isSeeDoctor: sessionStorage.getItem('isSeeDoctor') ? sessionStorage.getItem('isSeeDoctor') : true, // 当前状态是就诊还是查看 
        outpatientDiagnosis: sessionStorage.getItem('outpatientDiagnosis') ? sessionStorage.getItem('outpatientDiagnosis') : null, // 转病例到中医诊断
        emr: sessionStorage.getItem('emrDiagnosis') ? sessionStorage.getItem('emrDiagnosis') : null // 转病历到电子病历
    },
    mutations: {
        setPatiensInfo(state, data) {

            sessionStorage.setItem('patiensInfo', JSON.stringify(data))
            state.patiensInfo = data
        },
        setUserinfo(state, data) {
            sessionStorage.setItem('userinfo', JSON.stringify(data))
            state.userInfo = data
        },
        setIsSee(state, data) {
            sessionStorage.setItem('isSeeDoctor', data)
            state.isSeeDoctor = data
        },

        // 患者转病历
        setOutpatientDiagnosis(state, data) {
            sessionStorage.setItem('outpatientDiagnosis', data)
            state.outpatientDiagnosis = data
        },
        setEmrDiagnosis(state, data) {
            sessionStorage.setItem('emrDiagnosis', data)
            state.emr = data
        }
    },
    getters: {
        user(state) {
            return state
        }
    }
};